module Prevoty
  class ECDSAPublicKey
    attr_reader :x, :y, :curve_id

    def initialize(data)
      @x = data["x"]
      @y = data["y"]
      @curve_id = data["curve_id"]
    end

    def to_json(*a)
      {
        x: @x,
        y: @y,
        curve_id: @curve_id
      }.to_json
    end
  end
end
