module Prevoty
  module Crypto
    module Algorithms
      AES    = 1
      TriDES = 2
    end

    module Modes
      CBC = 1
      CFB = 2
      CTR = 3
      OFB = 4
    end

    module KeyAlgorithms
      RSA_PKCS = 1
      RSA_PSS  = 2
      ECDSA    = 3
    end

    module Curves
      P224 = 1
      P256 = 2
      P384 = 3
      P521 = 4
    end

    module PSSSaltOptions
      PSSSaltLengthAuto       =  1
      PSSSaltLengthEqualsHash = -1
    end
  end
end
