module Prevoty
  class ECDSAPrivateKey < ECDSAPublicKey
    attr_reader :d

    def initialize(data)
      super(data)
      @d = data["d"]
    end

    def to_json(*a)
      {
        x: @x,
        y: @y,
        curve_id: @curve_id,
        d: @d
      }.to_json
    end
  end
end
