module Prevoty
  class EncryptResult
    attr_reader :algorithm, :mode, :mac_key, :key, :mac, :cipher_text

    def initialize(data)
      @algorithm = data["algorithm"]
      @mode = data["mode"]
      @mac_key = data["mac_key"]
      @key = data["key"]
      @mac = data["mac"]
      @cipher_text = data["cipher_text"]
    end

    def to_json(*a)
      {
        algorithm: @algorithm,
        mode: @mode,
        mac_key: @mac_key,
        key: @key,
        mac: @mac,
        cipher_text: @cipher_text
      }.to_json
    end
  end
end
