module Prevoty
  class MonitorContent
    attr_reader :bytes, :javascript_attributes, :javascript_protocols, :javascript_tags

    def initialize(data)
      @bytes = data["bytes"]
      @javascript_attributes = data["javascript_attributes"]
      @javascript_protocols = data["javascript_protocols"]
      @javascript_tags = data["javascript_tags"]
    end

    def is_significant?
      @javascript_attributes > 0 || @javascript_protocols > 0 || @javascript_tags > 0
    end
  end
end
