module Prevoty
  class RSAPrivateKey < RSAPublicKey
    attr_reader :d, :primes, :precomputed

    def initialize(data)
      super(data)
      @d = data["D"]
      @primes = data["Primes"]
      @precomputed = data["Precomputed"]
    end

    def to_json(*a)
      {
        E: @e,
        N: @n,
        D: @d,
        Primes: @primes,
        Precomputed: @precomputed
      }.to_json
    end
  end
end
